#include <RCSwitch.h>
RCSwitch rcSwitch = RCSwitch();

void setup() {                
  rcSwitch.enableTransmit(10);
  Serial.begin(9600); // == 2400 wtf???
  pinMode(A0, INPUT);
}

void loop() {
  unsigned int val=abs(analogRead(A0));
  unsigned long U=round(val * 0.006270 * 1000);
  Serial.println(U);
  Serial.println(U << 8 | 0x00);
  rcSwitch.send(U << 8 | 0x00, 24);
  delay(1000);  
}

// 244 = 1.53
// 100 = X
